/***************************************************************
 * Name:      t3Main.cpp
 * Purpose:   Code for Application Frame
 * Author:     ()
 * Created:   2015-04-13
 * Copyright:  ()
 * License:
 **************************************************************/

#include "t3Main.h"
#include <wx/msgdlg.h>

//(*InternalHeaders(t3Frame)
#include <wx/string.h>
#include <wx/intl.h>
//*)

//(*IdInit(t3Frame)
const long t3Frame::idMenuQuit = wxNewId();
const long t3Frame::idMenuAbout = wxNewId();
const long t3Frame::ID_STATUSBAR1 = wxNewId();
//*)

BEGIN_EVENT_TABLE(t3Frame,wxFrame)
    //(*EventTable(t3Frame)
    //*)
END_EVENT_TABLE()

t3Frame::t3Frame(wxWindow* parent,wxWindowID id)
{
    //(*Initialize(t3Frame)
    wxMenuItem* MenuItem2;
    wxMenuItem* MenuItem1;
    wxMenu* Menu1;
    wxMenuBar* MenuBar1;
    wxMenu* Menu2;

    Create(parent, id, wxEmptyString, wxDefaultPosition, wxDefaultSize, wxDEFAULT_FRAME_STYLE, _T("id"));
    MenuBar1 = new wxMenuBar();
    Menu1 = new wxMenu();
    MenuItem1 = new wxMenuItem(Menu1, idMenuQuit, _("Quit\tAlt-F4"), _("Quit the application"), wxITEM_NORMAL);
    Menu1->Append(MenuItem1);
    MenuBar1->Append(Menu1, _("&File"));
    Menu2 = new wxMenu();
    MenuItem2 = new wxMenuItem(Menu2, idMenuAbout, _("About\tF1"), _("Show info about this application"), wxITEM_NORMAL);
    Menu2->Append(MenuItem2);
    MenuBar1->Append(Menu2, _("Help"));
    SetMenuBar(MenuBar1);
    StatusBar1 = new wxStatusBar(this, ID_STATUSBAR1, 0, _T("ID_STATUSBAR1"));
    int __wxStatusBarWidths_1[1] = { -1 };
    int __wxStatusBarStyles_1[1] = { wxSB_NORMAL };
    StatusBar1->SetFieldsCount(1,__wxStatusBarWidths_1);
    StatusBar1->SetStatusStyles(1,__wxStatusBarStyles_1);
    SetStatusBar(StatusBar1);

    Connect(idMenuQuit,wxEVT_COMMAND_MENU_SELECTED,(wxObjectEventFunction)&t3Frame::OnQuit);
    Connect(idMenuAbout,wxEVT_COMMAND_MENU_SELECTED,(wxObjectEventFunction)&t3Frame::OnAbout);
    //*)
}

t3Frame::~t3Frame()
{
    //(*Destroy(t3Frame)
    //*)
}

void t3Frame::OnQuit(wxCommandEvent& event)
{
    Close();
}

void t3Frame::OnAbout(wxCommandEvent& event)
{
    wxString msg = wxbuildinfo(long_f);
    wxMessageBox(msg, _("Welcome to..."));
}
